Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class BaseCalendar

    java.lang.Object
      com.tibco.bpm.web.client.model.types.CalendarBasic
          com.tibco.bpm.web.client.model.types.WorkCalendar
              com.tibco.bpm.web.client.model.types.BaseCalendar

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class BaseCalendar

extends WorkCalendar
implements com.google.gwt.user.client.rpc.IsSerializable

BaseCalendar type.

©2012 TIBCO Software Inc.

Since:
  TODO

Nested Class Summary

Nested classes/interfaces inherited from class com.tibco.bpm.web.client.model.types.CalendarBasic
`CalendarBasic.CalendarType`

Constructor Summary
`BaseCalendar()`

Method Summary
`int` | `getMinHours()` TODO Describe this method
`java.lang.String` | `getTimezone()` TODO Describe this method
`java.util.HashMap<WeekDay,TimeSpanSet>` | `getWeekDayWorkHours()`
`void` | `setMinHours(int minHours)` TODO Describe this method
`void` | `setTimezone(java.lang.String timezone)` TODO Describe this method
`void` | `setWeekDayWorkHours(java.util.HashMap<WeekDay,TimeSpanSet> weekDayWorkHours)`

Methods inherited from class com.tibco.bpm.web.client.model.types.WorkCalendar
`getReferences, getVersion, setReferences, setVersion`

Methods inherited from class com.tibco.bpm.web.client.model.types.CalendarBasic
`getCalendarType, getDateCreated, getDateModified, getName, getNameSpace, setCalendarType, setDateCreated, setDateModified, setName, setNameSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseCalendar

    public BaseCalendar()

Method Detail

### getTimezone

    public java.lang.String getTimezone()

  TODO Describe this method

  Returns:
    Returns the timeZone.

### setTimezone

    public void setTimezone(java.lang.String timezone)

  TODO Describe this method

  Parameters:
    `timezone` - The timeZone to set.

### getMinHours

    public int getMinHours()

  TODO Describe this method

  Returns:
    Returns the minHours.

### setMinHours

    public void setMinHours(int minHours)

  TODO Describe this method

  Parameters:
    `minHours` - The minHours to set.

### getWeekDayWorkHours

    public java.util.HashMap<WeekDay,TimeSpanSet> getWeekDayWorkHours()

### setWeekDayWorkHours

    public void setWeekDayWorkHours(java.util.HashMap<WeekDay,TimeSpanSet> weekDayWorkHours)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.